art-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum Allows the selection of the required filter level. Cubic filtering is missing because hyper is just as fast to implement and slightly better in quality.
- Field
  2.24.0.0
  Art.FilterLevel Bilinear interpolation. On enlargement its equivalent to point-sampling the ideal bilinear-interpolated image. On reduction, its equivalent to laying down samll tiles and integrating over the coverage area.
- Field
  2.24.0.0
  Art.FilterLevel Slowest and highest quality reconstruction, derived from the hyperbolic filters in Wolberg's "Digital Image Warping". Hyperbolic-filter sampling the ideal hyperbolic-filter interpolated image (its designed to be idempotent for 1:1 pixel mapping).
- Field
  2.24.0.0
  Art.FilterLevel Nearest neighbor implementation. Fastest and lowest quality.
- Field
  2.24.0.0
  Art.FilterLevel Accurate simulation of the PostScript image operator without any interpolation. Each pixed is rendered as a small parallelogra, of solid color, with its edges implemented with antialiasing. It looks like Nearest on enlargement and Bilinear on reduction.